#ifndef DPBASEWIDGET_H
#define DPBASEWIDGET_H

/*******************************************************************************
** DataPanel-BaseWidget
** author dsc
**
** 用来嵌入到dataPanel中进行数据展示的widget基类，定义了一些通用的函数接口
** 具体实现在继承类中完成
**
******************************************************************************/

#include <QWidget>
#include <QDateTime>
#include <QPen>
#include "global.h"
#include "dpGlobals.h"

class dpBaseWidget : public QWidget
{
    Q_OBJECT

public:
    dpBaseWidget(QWidget *parent = nullptr);
    ~dpBaseWidget();

    virtual void setTimeRange(TimeUnit) {}
    virtual void setDateTime(const QDateTime&) {}
    virtual void viewHistoricalData(const QDateTime&) {}
    virtual void synchronizeConfigData(const configurationResults&) {}
};

#endif
